import { XRProvider, XROptions, SceneOptions } from './types';
export declare class XRClass {
    private _options;
    private _pluggables;
    private _defaultProvider;
    /**
     * Initialize XR with AWS configurations
     *
     * @param {XROptions} options - Configuration object for XR
     * @deprecated The XR category is on deprecation path. Please see
     * https://github.com/aws-samples/aws-tools-for-babylonjs-editor for examples
     * on using AWS services with Babylon.js.
     */
    constructor(options: XROptions);
    /**
     * Configure XR part with configurations
     *
     * @param {XROptions} config - Configuration for XR
     * @return {Object} - The current configuration
     * @deprecated The XR category is on deprecation path. Please see
     * https://github.com/aws-samples/aws-tools-for-babylonjs-editor for examples
     * on using AWS services with Babylon.js.
     */
    configure(options: XROptions): XROptions;
    /**
     * add plugin into XR category
     * @param {Object} pluggable - an instance of the plugin
     * @deprecated The XR category is on deprecation path. Please see
     * https://github.com/aws-samples/aws-tools-for-babylonjs-editor for examples
     * on using AWS services with Babylon.js.
     */
    addPluggable(pluggable: XRProvider): Promise<object>;
    /**
     * @deprecated The XR category is on deprecation path. Please see
     * https://github.com/aws-samples/aws-tools-for-babylonjs-editor for examples
     * on using AWS services with Babylon.js.
     */
    loadScene(sceneName: string, domElementId: string, sceneOptions?: SceneOptions, provider?: string): Promise<any>;
    /**
     * @deprecated The XR category is on deprecation path. Please see
     * https://github.com/aws-samples/aws-tools-for-babylonjs-editor for examples
     * on using AWS services with Babylon.js.
     */
    isSceneLoaded(sceneName: string, provider?: string): boolean;
    /**
     * @deprecated The XR category is on deprecation path. Please see
     * https://github.com/aws-samples/aws-tools-for-babylonjs-editor for examples
     * on using AWS services with Babylon.js.
     */
    getSceneController(sceneName: string, provider?: string): any;
    /**
     * @deprecated The XR category is on deprecation path. Please see
     * https://github.com/aws-samples/aws-tools-for-babylonjs-editor for examples
     * on using AWS services with Babylon.js.
     */
    isVRCapable(sceneName: string, provider?: string): boolean;
    /**
     * @deprecated The XR category is on deprecation path. Please see
     * https://github.com/aws-samples/aws-tools-for-babylonjs-editor for examples
     * on using AWS services with Babylon.js.
     */
    isVRPresentationActive(sceneName: string, provider?: string): boolean;
    /**
     * @deprecated The XR category is on deprecation path. Please see
     * https://github.com/aws-samples/aws-tools-for-babylonjs-editor for examples
     * on using AWS services with Babylon.js.
     */
    start(sceneName: string, provider?: string): void;
    /**
     * @deprecated The XR category is on deprecation path. Please see
     * https://github.com/aws-samples/aws-tools-for-babylonjs-editor for examples
     * on using AWS services with Babylon.js.
     */
    enterVR(sceneName: string, provider?: string): void;
    /**
     * @deprecated The XR category is on deprecation path. Please see
     * https://github.com/aws-samples/aws-tools-for-babylonjs-editor for examples
     * on using AWS services with Babylon.js.
     */
    exitVR(sceneName: string, provider?: string): void;
    /**
     * @deprecated The XR category is on deprecation path. Please see
     * https://github.com/aws-samples/aws-tools-for-babylonjs-editor for examples
     * on using AWS services with Babylon.js.
     */
    isMuted(sceneName: string, provider?: string): boolean;
    /**
     * @deprecated The XR category is on deprecation path. Please see
     * https://github.com/aws-samples/aws-tools-for-babylonjs-editor for examples
     * on using AWS services with Babylon.js.
     */
    setMuted(sceneName: string, muted: boolean, provider?: string): void;
    /**
     * @deprecated The XR category is on deprecation path. Please see
     * https://github.com/aws-samples/aws-tools-for-babylonjs-editor for examples
     * on using AWS services with Babylon.js.
     */
    onSceneEvent(sceneName: string, eventName: string, eventHandler: Function, provider?: string): void;
    /**
     * @deprecated The XR category is on deprecation path. Please see
     * https://github.com/aws-samples/aws-tools-for-babylonjs-editor for examples
     * on using AWS services with Babylon.js.
     */
    enableAudio(sceneName: string, provider?: string): void;
}
export declare const XR: XRClass;
